#!/bin/bash
version="1.6";

# This script allows to run the complete GeMoMa pipeline multithreaded from the command line. 
# The final prediction is located in ${out}/filtered_predictions.gff.

#parameters
threads=$1
target_genome=$2
ref_annotation=$3
ref_genome=$4
out=$5

if [ $# -ne 5 ]; then
	lib=$6;
	reads=$7;
	echo "GeMoMa using RNA-seq data: library type=" $lib "mapped reads=" $reads
	time java -jar GeMoMa-${version}.jar CLI GeMoMaPipeline threads=$threads t=$target_genome s=own a=$ref_annotation g=$ref_genome outdir=$out r=MAPPED ERE.s=$lib ERE.m=$reads ERE.c=true AnnotationFinalizer.r=NO
else 
	echo "GeMoMa without RNA-seq data"
	time java -jar GeMoMa-${version}.jar CLI GeMoMaPipeline threads=$threads t=$target_genome s=own a=$ref_annotation g=$ref_genome outdir=$out AnnotationFinalizer.r=NO
fi