#!/bin/bash

# This script runs 4 tests for GeMoMa.

data=test_data/

sep() {
	echo "";
	echo "#############################################################################";
	echo "";
}

#without
sep
./run.sh ${data}/ref-annotation.gff ${data}/ref-fragment.fasta ${data}/target-fragment.fasta results/without/

#with
sep
./run.sh ${data}/ref-annotation.gff ${data}/ref-fragment.fasta ${data}/target-fragment.fasta results/with/ FR_UNSTRANDED ${data}/target-accepted_hits.bam

#pipeline without
sep
./pipeline.sh 4 ${data}/target-fragment.fasta ${data}/ref-annotation.gff ${data}/ref-fragment.fasta results/pipeline_without

#pipeline with
sep
./pipeline.sh 4 ${data}/target-fragment.fasta ${data}/ref-annotation.gff ${data}/ref-fragment.fasta results/pipeline_with FR_UNSTRANDED ${data}/target-accepted_hits.bam

echo ""
sep

ls -ltr results/*/*.gff
